## ispack3 3.2.2

=== Makefile ===
#
#       Makefile for ispack
#

include Mkinclude

all:
	@for i in $(DIRS) ; do \
	  cd $$i/src ; \
	  echo "Making $$i/src" ; \
	  $(MAKE) ; \
	  cd ../.. ; \
	done
	$(AR) $(ARFLAGS) $(STATICLIB) */src/*.o
	$(RANLIB) $(STATICLIB)
	$(LD) $(LDFLAGS) -shared -o $(SHAREDLIB) */src/*.o 

clean:
	@for i in $(DIRS) ; do \
	  cd $$i/src ; \
	  echo "Cleaning $$i/src" ; \
	  $(MAKE) clean ; \
	  cd ../.. ; \
	done

veryclean: clean
	echo "Cleaning lib"
	$(RM) $(STATICLIB)
	$(RM) $(SHAREDLIB)	
	$(RM) *~
	$(RM) */*~
	$(RM) */*/*~
	$(RM) */*/*.dat
	$(RM) */*/*.out	
	$(RM) */doc/*.dvi
	$(RM) */doc/*.log	
	$(RM) */doc/*.aux

=== fxpack/src/Makefile ===
OBJS = fxz.o fxr.o $(addsuffix .o,$(basename $(wildcard ??????.f90 *-$(SSE4).* *-$(SSE8).*)))
include ../../Mkinclude.sub
.SUFFIXES :
.SUFFIXES : .o .f90 .s
.f90.o :
	$(FC) $(FFLAGS) -c $<
.s.o :
	$(AS) $< -o $@

=== lxpack/src/Makefile ===
OBJS = $(addsuffix .o,$(basename $(wildcard ??????.f90 *-$(SSE4).* *-$(SSE8).* *-$(CPU).f90)))
include ../../Mkinclude.sub
.SUFFIXES :
.SUFFIXES : .o .f90 .s
.f90.o :
	$(FC) $(FFLAGS) -c $<
.s.o :
	$(AS) $< -o $@

=== mxpack/src/Makefile ===
OBJS = $(addsuffix .o,$(basename $(wildcard ??????.c ??????.f90 *-$(SSE4).* *-$(SSE8).* *-$(CPU).f90)))
include ../../Mkinclude.sub
.SUFFIXES :
.SUFFIXES : .o .f90 .c
.f90.o :
	$(FC) $(FFLAGS) -c $<
.c.o :
	$(CC) $(CFLAGS) -c $<

=== sample/sxpack-test/Makefile ===
SHELL = /bin/sh

include ../../Mkinclude

LIBDIR = ../../
LIB = ispack3

clean:
	rm -f *.out
	rm -f *~

%.out: %.f90
	$(FC) $(FFLAGS) $< -L$(LIBDIR) -l$(LIB) -o $@

=== sxpack/src/Makefile ===
OBJS = $(addsuffix .o,$(basename $(wildcard ??????.f90 *-$(SSE4).* *-$(SSE8).*)))
include ../../Mkinclude.sub
.SUFFIXES :
.SUFFIXES : .o .f90 .s
.f90.o :
	$(FC) $(FFLAGS) -c $<
.s.o :
	$(AS) $< -o $@

=== sypack/src/Makefile ===
OBJS = $(addsuffix .o,$(basename $(wildcard ??????.f90 *-$(SSE4).* *-$(SSE8).*)))
include ../../Mkinclude.sub
.SUFFIXES :
.SUFFIXES : .o .f90 .s
.f90.o :
	$(MPIFC) $(MPIFFLAGS) -c $<
.s.o :
	$(AS) $< -o $@

=== debian/changelog ===
ispack3 (3.2.2-1+0~20260109081735.2~1.gbpfece15) unstable; urgency=medium

  ** SNAPSHOT build @fece15664681ab4a63fbd4f53ff0f7f4cc1a87c7 **

  [ Youhei SASAKI ]
  * New upstream version 3.2.2
  * add missing depends: gfortran

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Fri, 09 Jan 2026 17:17:36 +0900

ispack3 (3.2.2-1) unstable; urgency=medium

  * Initial release. (Closes: #nnnn)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 19 Aug 2025 15:11:47 +0900

=== debian/control ===
Source: ispack3
Section: libs
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends:
 debhelper-compat (= 13),
 gfortran,
 mpi-default-dev,
 mpi-default-bin
Standards-Version: 4.7.2
Homepage: https://www.gfd-dennou.org/arch/ispack/index.htm.en
#Vcs-Browser: https://salsa.debian.org/debian/ispack3
#Vcs-Git: https://salsa.debian.org/debian/ispack3.git

Package: libispack3
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: FORTRAN library for scientific computing -- shared library
 This library (ISPACK) is a package of basic tools (Spectral transform,
 etc.) as subroutines, which are required mainly for computations of
 simple fluid equations. Because each subroutine is designed to be used
 independently, this library is not an integrated environment in which
 you can run numerical models without sufficient knowledge. How to
 combine and use these subroutines is up to users.
 .
 This package provides shared library

Package: libispack3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libispack3 (= ${binary:Version}),
 ${misc:Depends},
Description: FORTRAN library for scientific computing -- header and static library
 This library (ISPACK) is a package of basic tools (Spectral transform,
 etc.) as subroutines, which are required mainly for computations of
 simple fluid equations. Because each subroutine is designed to be used
 independently, this library is not an integrated environment in which
 you can run numerical models without sufficient knowledge. How to
 combine and use these subroutines is up to users.
 .
 This package provides header and static library

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
DESTDIR=$(CURDIR)/debian/tmp$(LIBDIR)

FC := $(shell basename $(shell readlink -f /usr/bin/gfortran))
MPIFC := /usr/bin/mpif90
FFLAGS += -fopenmp -fno-range-check -fPIC
MPIFFLAGS += -fopenmp -fPIC
CFLAGS += -fPIC
SO := 3
MN := 0
VER := $(SO).$(MN)

%:
	dh $@
override_dh_auto_build:

override_dh_auto_install:
	mkdir -p $(DESTDIR)/shared
	mkdir -p $(DESTDIR)/ispack
	$(MAKE) DESTDIR=$(DESTDIR) \
	  FC="$(FC)" FFLAGS="$(FFLAGS)" \
	  MPIFC="$(MPIFC)" MPIFFLAGS="$(MPIFFLAGS)" \
	  CC="$(CC)" CFLAGS="$(CFLAGS)" \
	  SSE=fort LIBNAME=libispack3-fort
	( cd $(DESTDIR)/shared/; rm libispack3-fort.so )
	( cd $(DESTDIR)/; mv *.a ispack/)
	( $(MPIFC) $(LDFLAGS) -shared -Wl,-soname=libispack3-fort.so.$(SO) \
	    -o $(DESTDIR)/ispack/libispack3-fort.so.$(VER) $(CURDIR)/*/src/*.o )
	( cd $(DESTDIR)/ispack/; ln -s libispack3-fort.so.$(VER) libispack3-fort.so )
	( cd $(DESTDIR)/ispack/; ln -s libispack3-fort.so.$(VER) libispack3-fort.so.$(SO) )
	$(MAKE) clean
ifeq ($(DEB_HOST_MULTIARCH), x86_64-linux-gnu)
	$(MAKE) DESTDIR=$(DESTDIR) \
	  FC="$(FC)" FFLAGS="$(FFLAGS)" \
	  MPIFC="$(MPIFC)" MPIFFLAGS="$(MPIFFLAGS)" \
	  CC="$(CC)" CFLAGS="$(CFLAGS)" \
	  SSE=avx LIBNAME=libispack3-avx
	( cd $(DESTDIR)/shared/; rm libispack3-avx.so )
	( cd $(DESTDIR)/; mv *.a ispack/)
	( $(MPIFC) $(LDFLAGS) -shared -Wl,-soname=libispack3-avx.so.$(SO) \
	    -o $(DESTDIR)/ispack/libispack3-avx.so.$(VER) $(CURDIR)/*/src/*.o )
	( cd $(DESTDIR)/ispack/; ln -s libispack3-avx.so.$(VER) libispack3-avx.so )
	( cd $(DESTDIR)/ispack/; ln -s libispack3-avx.so.$(VER) libispack3-avx.so.$(SO) )
	$(MAKE) clean
	$(MAKE) DESTDIR=$(DESTDIR) \
	  FC="$(FC)" FFLAGS="$(FFLAGS)" \
	  MPIFC="$(MPIFC)" MPIFFLAGS="$(MPIFFLAGS)" \
	  CC="$(CC)" CFLAGS="$(CFLAGS)" \
	  SSE=fma LIBNAME=libispack3-fma
	( cd $(DESTDIR)/shared/; rm libispack3-fma.so )
	( cd $(DESTDIR)/; mv *.a ispack/)
	( $(MPIFC) $(LDFLAGS) -shared -Wl,-soname=libispack3-fma.so.$(SO) \
	    -o $(DESTDIR)/ispack/libispack3-fma.so.$(VER) $(CURDIR)/*/src/*.o )
	( cd $(DESTDIR)/ispack/; ln -s libispack3-fma.so.$(VER) libispack3-fma.so )
	( cd $(DESTDIR)/ispack/; ln -s libispack3-fma.so.$(VER) libispack3-fma.so.$(SO) )
	$(MAKE) clean
	$(MAKE) DESTDIR=$(DESTDIR) \
	  FC="$(FC)" FFLAGS="$(FFLAGS)" \
	  MPIFC="$(MPIFC)" MPIFFLAGS="$(MPIFFLAGS)" \
	  CC="$(CC)" CFLAGS="$(CFLAGS)" \
	  SSE=avx512 LIBNAME=libispack3-avx512
	( cd $(DESTDIR)/shared/; rm libispack3-avx512.so )
	( cd $(DESTDIR)/; mv *.a ispack/)
	( $(MPIFC) $(LDFLAGS) -shared -Wl,-soname=libispack3-avx512.so.$(SO) \
	    -o $(DESTDIR)/ispack/libispack3-avx512.so.$(VER) $(CURDIR)/*/src/*.o )
	( cd $(DESTDIR)/ispack/; ln -s libispack3-avx512.so.$(VER) libispack3-avx512.so )
	( cd $(DESTDIR)/ispack/; ln -s libispack3-avx512.so.$(VER) libispack3-avx512.so.$(SO) )
endif

override_dh_installdeb:
	for pkg in libispack3 libispack3-dev; do \
	  for script in postinst prerm; do \
	    if [ -f debian/$${pkg}.$${script}.in ]; then \
	    sed 's|@DEB_HOST_MULTIARCH@|$(DEB_HOST_MULTIARCH)|g' \
	      debian/$${pkg}.$${script}.in > debian/$${pkg}.$${script}; \
	    fi \
	  done \
	done
	dh_installdeb

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/CHANGELOG

override_dh_auto_clean:
	dh_auto_clean
	rm -fr $(DESTDIR)
	rm -f $(CURDIR)/debian/*.postinst
	rm -f $(CURDIR)/debian/*.prerm

=== debian/watch ===
Version: 5

Source: https://dennou-k.gfd-dennou.org/library/ispack/SIGEN.htm
Matching-Pattern: .*/ispack-?(\d[\d.]*)\.tar\.gz
